Index: tmp/org.txm.properties.rcp/src/org/txm/properties/rcp/editors/PropertiesParametersTab.java
===================================================================
--- tmp/org.txm.properties.rcp/src/org/txm/properties/rcp/editors/PropertiesParametersTab.java	(revision 3021)
+++ tmp/org.txm.properties.rcp/src/org/txm/properties/rcp/editors/PropertiesParametersTab.java	(revision 3022)
@@ -5,7 +5,7 @@
 import org.eclipse.swt.layout.GridData;
 import org.eclipse.swt.widgets.TabFolder;
 import org.txm.properties.rcp.Messages;
-import org.txm.rcp.views.cmdparameters.ParametersComposite;
+import org.txm.rcp.views.cmdparameters.TXMResultParametersComposite;
 
 /**
  * Display the Properties parent parameters stored in the preferences 
@@ -13,13 +13,13 @@
  *
  */
 public class PropertiesParametersTab extends PropertiesTab {
-	private ParametersComposite parametersComposite;
+	private TXMResultParametersComposite parametersComposite;
 
 	public PropertiesParametersTab(TabFolder folder, PropertiesPagedEditor editor) {
 		super(folder, editor);
 		tab.setText(Messages.PropertiesParametersTab_1);
 		
-		parametersComposite = new ParametersComposite(parent, SWT.NONE);
+		parametersComposite = new TXMResultParametersComposite(parent, SWT.NONE);
 		parametersComposite.setLayoutData(GridDataFactory.fillDefaults().align(GridData.FILL, GridData.FILL).grab(true, true).create());
 		parametersComposite.updateEditorParameters(editor.getResult().getParent());
 		
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xml/xmlLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xml/xmlLoader.groovy	(revision 3021)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xml/xmlLoader.groovy	(revision 3022)
@@ -293,7 +293,7 @@
 		t.setSourceFile(txmFile)
 		t.setTXMFile(txmFile)
 
-		def ed = new pager(txmFile, outdir, txtname, NoSpaceBefore, NoSpaceAfter, wordsPerPage, basename, page_element);
+		def ed = new pager(txmFile, outdir, txtname, NoSpaceBefore, NoSpaceAfter, basename, project);
 		Edition edition = new Edition(t)
 		edition.setName("default")
 		edition.setIndex(outdir.getAbsolutePath())
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xml/pager.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xml/pager.groovy	(revision 3021)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xml/pager.groovy	(revision 3022)
@@ -40,6 +40,7 @@
 import org.xml.sax.helpers.DefaultHandler;
 import org.txm.utils.io.FileCopy
 import org.txm.objects.Project
+import org.txm.utils.BundleUtils;
 
 /** Build a simple edition from a xml-tei. 
  * @author mdecorde */
@@ -71,6 +72,7 @@
 	boolean firstWord = true;
 	
 	boolean paginate = true;
+	boolean enableCollapsibles = false;
 
 	/** The wordvalue. */
 	String wordvalue = "";
@@ -133,7 +135,7 @@
 		this.paginationElement = project.getEditionDefinition("default").getPageElement()
 		this.paginate = project.getEditionDefinition("default").getPaginateEdition()
 		this.wordmax = project.getEditionDefinition("default").getWordsPerPage();
-		
+		this.enableCollapsibles = project.getEditionDefinition("default").getEnableCollapsibleMetadata();
 		this.basename = basename;
 		this.txtname = txtname;
 		this.outdir = outdir;
@@ -160,8 +162,9 @@
 					File txmhomeDir = corporaDir.getParentFile()
 					File txmcss = new File(txmhomeDir, "css/txm.css")
 					if (htmlDir.exists() && txmcss.exists()) {
-						FileCopy.copy(txmcss, new File(htmlDir, "txm.css"))
+						FileCopy.copy(txmcss, new File(htmlDir, txmcss.getName()))
 					}
+					BundleUtils.copyFiles("org.txm.core", "res", "org/txm", "js", htmlDir);
 				}
 			}
 		} catch(Exception e) {
@@ -228,6 +231,9 @@
 			pagedWriter.writeCharacters(basename.toUpperCase()+" Edition - Page "+pagecount)
 			pagedWriter.writeEndElement(); // </title>
 			pagedWriter.writeCharacters("\n")
+			pagedWriter.writeStartElement("script", ["src":"js/collapsible.js"]);
+			pagedWriter.writeEndElement(); // </script>
+			pagedWriter.writeCharacters("\n")
 			pagedWriter.writeEndElement() // </head>
 			pagedWriter.writeCharacters("\n")
 			pagedWriter.writeStartElement("body") //<body>
@@ -305,9 +311,16 @@
 					switch (localname) {
 						case "text":
 							pagedWriter.write("\n");
-							if (parser.getAttributeValue(null,"id") != null)
+							if (parser.getAttributeValue(null,"id") != null) {
 								pagedWriter.writeElement("h3", parser.getAttributeValue(null,"id"))
+							}
+							if (enableCollapsibles && parser.getAttributeCount() > 2) {
+								pagedWriter.writeStartElement("button", ["class":"collapsible", "onclick":"onCollapsibleClicked(this)"])
+								pagedWriter.writeCharacters("➕");
+								pagedWriter.writeEndElement()
+							}
 							pagedWriter.writeStartElement("table");
+							if (enableCollapsibles && parser.getAttributeCount() > 2) pagedWriter.writeAttribute("class", "collapsiblecontent")
 							for (int i = 0 ; i < parser.getAttributeCount() ; i++) {
 								pagedWriter.writeStartElement("tr");
 								pagedWriter.writeElement("td", parser.getAttributeLocalName(i));
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/doc/docLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/doc/docLoader.groovy	(revision 3021)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/doc/docLoader.groovy	(revision 3022)
@@ -314,15 +314,17 @@
 		t.setName(txtname);
 		t.setSourceFile(txmFile)
 		t.setTXMFile(txmFile)
-
-		def ed = new pager(txmFile, outdir, txtname, NoSpaceBefore, NoSpaceAfter, wordsPerPage, basename, "pb");
+		
+		def ed = new pager(txmFile, outdir, txtname, NoSpaceBefore, NoSpaceAfter, basename, "pb", project);
 		Edition edition = new Edition(t);
 		edition.setName("default");
 		edition.setIndex(outdir.getAbsolutePath());
 		for (i = 0 ; i < ed.getPageFiles().size();) {
 			File f = ed.getPageFiles().get(i);
 			String wordid = "w_0";
-				if (i < ed.getIdx().size()) wordid = ed.getIdx().get(i);
+			if (i < ed.getIdx().size()) {
+				wordid = ed.getIdx().get(i);
+			}
 			edition.addPage(""+(++i), wordid);
 		}
 	}
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/factiva/factivamailLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/factiva/factivamailLoader.groovy	(revision 3021)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/factiva/factivamailLoader.groovy	(revision 3022)
@@ -77,6 +77,14 @@
 File newSrcDir = new File(binDir, "src")
 newSrcDir.mkdir();
 File alcesteFile = new File(newSrcDir, srcDir.getName()+".txt");
+
+if (!alcesteFile.exists()) {
+	println "Error: import module was expecting to find the $alcesteFile file to continue. Aborting."
+	return false
+} else {
+	println "Reading $alcesteFile..."
+}
+
 FactivaMail2Alceste converter = new FactivaMail2Alceste(srcDir, alcesteFile, "UTF-8", "UTF-8")
 if (!converter.doparse()) {
 	println "Failed to convert files in $srcDir to one Alceste file"
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/transcriber/pager.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/transcriber/pager.groovy	(revision 3021)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/transcriber/pager.groovy	(revision 3022)
@@ -76,8 +76,8 @@
 	boolean firstWord = true
 	
 	boolean paginate = true
+	boolean enableCollapsibles = false;
 	
-	
 	/** The wordvalue. */
 	String wordvalue;
 	
@@ -162,7 +162,6 @@
 	pager(File txmfile, File htmlDir, String txtname, List<String> NoSpaceBefore,
 	List<String> NoSpaceAfter, String corpusname, String cuttingTag, Metadatas metadatas, Project project) {
 		this.metadatas = metadatas
-		this.wordmax = project.getEditionDefinition("default").getWordsPerPage();
 		this.cuttingTag = cuttingTag;
 		this.corpusname = corpusname;
 		this.NoSpaceBefore = NoSpaceBefore;
@@ -171,7 +170,9 @@
 		this.txmfile = txmfile;
 		this.htmlDir = htmlDir;
 		this.txtname = txtname;
+		this.wordmax = project.getEditionDefinition("default").getWordsPerPage();
 		this.paginate = project.getEditionDefinition("default").getPaginateEdition()
+		this.enableCollapsibles = project.getEditionDefinition("default").getEnableCollapsibleMetadata();
 		
 		inputData = url.openStream();
 		factory = XMLInputFactory.newInstance();
@@ -242,20 +243,34 @@
 		writer.writeAttribute("content", "text/html");
 		writer.writeAttribute("charset", "UTF-8");
 		writer.writeEndElement(); // meta
+		writer.writeCharacters("\n")
 		writer.writeStartElement("head");
 		//<link rel="stylesheet" type="text/css" href="class.css" />
 		writer.writeStartElement("link");
 		writer.writeAttribute("rel", "stylesheet");
 		writer.writeAttribute("type", "text/css");
+		writer.writeAttribute("href", "txm.css");
+		writer.writeEndElement(); // link
+		writer.writeCharacters("\n")
+		writer.writeStartElement("link");
+		writer.writeAttribute("rel", "stylesheet");
+		writer.writeAttribute("type", "text/css");
 		writer.writeAttribute("href", "transcriber.css");
 		writer.writeEndElement(); // link
+		writer.writeCharacters("\n")
 		writer.writeStartElement("link");
 		writer.writeAttribute("rel", "stylesheet");
 		writer.writeAttribute("type", "text/css");
 		writer.writeAttribute("href", corpusname+".css");
 		writer.writeEndElement(); // link
+		writer.writeCharacters("\n")
+		writer.writeStartElement("script");
+		writer.writeAttribute("src", "js/collapsible.js");
+		writer.writeCharacters("\n")
+		writer.writeEndElement(); // link
+		writer.writeCharacters("\n")
 		writer.writeEndElement(); // head
-		
+		writer.writeCharacters("\n")
 		nbBreak++
 		writer.writeStartElement("body");
 		writer.writeAttribute("class", "txmeditionpage")
@@ -283,6 +298,7 @@
 							writeMediaAccess("0.0")
 						
 							writer.writeEndElement(); // h1
+							writer.writeCharacters("\n")
 						
 							String subtitle = parser.getAttributeValue(null, "subtitle");
 							if (subtitle != null && subtitle.length() > 0) {
@@ -290,10 +306,23 @@
 								writer.writeAttribute("class", "subtitle");
 								writer.writeCharacters(subtitle);
 								writer.writeEndElement(); // h2
+								writer.writeCharacters("\n")
 							}
 						
+							if (enableCollapsibles && parser.getAttributeCount() > 2) {
+								writer.writeStartElement("button");
+								writer.writeAttribute("class", "collapsible");
+								writer.writeAttribute("onclick", "onCollapsibleClicked(this)");
+								writer.writeCharacters("➕");
+								writer.writeEndElement()
+								writer.writeCharacters("\n")
+							}
 							writer.writeStartElement("table");
-							writer.writeAttribute("class", "transcription-table");
+							if (enableCollapsibles && parser.getAttributeCount() > 2) {
+								writer.writeAttribute("class", "transcription-table collapsiblecontent")
+							} else {
+								writer.writeAttribute("class", "transcription-table");
+							}
 							boolean grey = false;
 							for (int i = 0 ; i < parser.getAttributeCount() ; i++) {
 								String name = parser.getAttributeName(i);
@@ -464,13 +493,26 @@
 						
 						// write metadata HTML
 							if (metadataGroups.keySet().size() > 0) {
-								writer.writeStartElement("p")
-								writer.writeAttribute("class", "section-all-metadata");
+								
+								if (enableCollapsibles && metadataGroups.keySet().size() > 2) {
+									writer.writeStartElement("button");
+									writer.writeAttribute("class", "collapsible");
+									writer.writeAttribute("onclick", "onCollapsibleClicked(this)");
+									writer.writeCharacters("➕");
+									writer.writeEndElement()
+									writer.writeCharacters("\n")
+								}
+								writer.writeStartElement("div");
+								if (enableCollapsibles && metadataGroups.keySet().size() > 2) {
+									writer.writeAttribute("class", "section-all-metadata collapsiblecontent")
+								} else {
+									writer.writeAttribute("class", "section-all-metadata");
+								}
 								for (String groupName : metadataGroups.keySet()) {
 									def group = metadataGroups[groupName]
 									if (group.size() > 0) {
 										if (groupName.equals("text")) {
-											writer.writeStartElement("p")
+											writer.writeStartElement("div")
 											writer.writeAttribute("class", "section-"+groupName);
 											for (String k : group) {
 												writer.writeStartElement("p")
@@ -480,7 +522,9 @@
 												writer.writeEndElement() // h4
 												writer.writeCharacters(metadata[k])
 												writer.writeEndElement() // p
+												writer.writeCharacters("\n")
 											}
+											writer.writeEndElement(); // p
 										} else { // 'metadata' and other groups
 											writer.writeStartElement("ul")
 											writer.writeAttribute("class", "section-"+groupName);
@@ -490,12 +534,13 @@
 												writer.writeCharacters(""+k+": "+metadata[k])
 												writer.writeEndElement() // li
 											}
+											writer.writeEndElement(); // ul
+											writer.writeCharacters("\n")
 										}
-										
-										writer.writeEndElement(); // ul or p
 									}
 								}
 								writer.writeEndElement(); // p
+								writer.writeCharacters("\n")
 								writer.writeEmptyElement("hr")
 							}
 						
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/transcriber/transcriberLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/transcriber/transcriberLoader.groovy	(revision 3021)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/transcriber/transcriberLoader.groovy	(revision 3022)
@@ -343,9 +343,10 @@
 		File cssfile = new File(Toolbox.getTxmHomePath(), "css/transcriber.css")
 		File cssTXMFile = new File(Toolbox.getTxmHomePath(), "css/txm.css")
 		if (cssfile.exists() && htmlDir.exists()) {
-			FileCopy.copy(cssfile, new File(htmlDir, "default/txm.css"));
+			FileCopy.copy(cssTXMFile, new File(htmlDir, "default/txm.css"));
 			FileCopy.copy(cssfile, new File(htmlDir, "default/transcriber.css"));
 		}
+		BundleUtils.copyFiles("org.txm.core", "res", "org/txm", "js", new File(htmlDir, "default"));
 
 		//copy media files
 		println "Copying media files if any (mp3, wav, mp4 or avi) "+xmltxmFiles.size()+" texts"
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/alceste/alcesteLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/alceste/alcesteLoader.groovy	(revision 3021)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/alceste/alcesteLoader.groovy	(revision 3022)
@@ -29,7 +29,7 @@
 
 import org.txm.scripts.importer.alceste.importer;
 import org.txm.scripts.importer.alceste.compiler;
-import org.txm.scripts.importer.xml.pager_old;
+import org.txm.scripts.importer.xml.pager;
 import org.txm.objects.*;
 import org.txm.utils.*;
 import org.txm.*;
@@ -145,7 +145,7 @@
 		t.setSourceFile(srcfile)
 		t.setTXMFile(srcfile)
 		
-		def ed = new pager_old(srcfile, outdir, txtname, NoSpaceBefore, NoSpaceAfter, wordsPerPage, basename, "pb");
+		def ed = new pager(srcfile, outdir, txtname, NoSpaceBefore, NoSpaceAfter, basename, project);
 		Edition edition = new Edition(t);
 		edition.setName("default");
 		edition.setIndex(outdir.getAbsolutePath());
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/hyperbase/importer.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/hyperbase/importer.groovy	(revision 3021)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/hyperbase/importer.groovy	(revision 3022)
@@ -2,19 +2,19 @@
 // Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
 // Lyon 2, University of Franche-Comté, University of Nice
 // Sophia Antipolis, University of Paris 3.
-// 
+//
 // The TXM platform is free software: you can redistribute it
 // and/or modify it under the terms of the GNU General Public
 // License as published by the Free Software Foundation,
 // either version 2 of the License, or (at your option) any
 // later version.
-// 
+//
 // The TXM platform is distributed in the hope that it will be
 // useful, but WITHOUT ANY WARRANTY; without even the implied
 // warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 // PURPOSE. See the GNU General Public License for more
 // details.
-// 
+//
 // You should have received a copy of the GNU General
 // Public License along with the TXM platform. If not, see
 // http://www.gnu.org/licenses.
@@ -57,7 +57,7 @@
  * The Class importer.
  */
 class importer {
-
+	
 	/**
 	 * Run.
 	 *
@@ -70,38 +70,40 @@
 	{
 		String rootDir = srcDir.getAbsolutePath()+"/"
 		//cleaning
-
+		
 		new File(binDir,"ptokenized").deleteDir();
 		new File(binDir,"ptokenized").mkdir();
 		new File(binDir,"tokenized").deleteDir();
 		new File(binDir,"tokenized").mkdir();
 		new File(binDir,"split").deleteDir();
 		new File(binDir,"split").mkdir();
-
+		
 		ArrayList<String> milestones = new ArrayList<String>();//the tags who you want them to stay milestones
 		milestones.add("tagUsage");
 		milestones.add("pb");
 		milestones.add("lb");
-
+		
 		//build xml files
 		if (srcDir.listFiles() == null || srcDir.listFiles().size() == 0 ) {
 			println "No corpus file in: "+srcDir;
 			return false;
 		}
-		File corpusfile = null;
-		for (File f : srcDir.listFiles()) {
-			if (!f.isHidden() && f.canRead() && f.isFile() && f.getName() != "import.xml") {
-				corpusfile = f;
-				break;
+		File corpusfile = new File(srcDir, srcDir.getName());
+		if (!corpusfile.exists()) {
+			for (File f : srcDir.listFiles()) {
+				if (!f.isHidden() && f.canRead() && f.isFile() && f.getName() != "import.xml") {
+					corpusfile = f;
+					break;
+				}
 			}
 		}
-
+		
 		System.out.println("Corpus file: "+corpusfile);
 		if (!new Hyperbase2Xml().run(corpusfile, new File(binDir, "split"), encoding)) {
 			println("Failed to split the corpus file into text: "+corpusfile);
 			return false;
 		}
-
+		
 		//TOKENIZE ALL FILES
 		List<File> srcfiles = new File(binDir, "split").listFiles();
 		println("Tokenizing "+srcfiles.size()+" files");
@@ -109,7 +111,7 @@
 			print "."
 			String filename = pfile.getName().substring(0, pfile.getName().length()-4)
 			File tfile = new File(binDir, "tokenized/"+filename+".xml");
-
+			
 			SimpleTokenizerXml tokenizer = new SimpleTokenizerXml(pfile, tfile, lang);
 			if (!tokenizer.process()) {
 				println("Failed to tokenize file: "+pfile);
@@ -117,7 +119,7 @@
 			}
 		}
 		println ""
-
+		
 		//Tag sentences
 		List<File> stokenfiles = new File(binDir,"tokenized").listFiles()
 		new File(binDir,"stokenized").mkdir();
@@ -135,7 +137,7 @@
 				File infile = new File(binDir, "tokenized/"+f.getName());
 				File xmlfile = new File(binDir, "stokenized/"+f.getName());
 				File headerfile = new File(binDir, "tokenized/"+f.getName()+"header.xml");
-
+				
 				S.SetInFileAndOutFile(infile.getPath(), xmlfile.getPath());
 				S.setEncodages("UTF-8","UTF-8");
 				Object[] arguments1 = [headerfile.getAbsolutePath()];
@@ -148,7 +150,7 @@
 			} catch (Exception e) {println "Failed to sentence file "+f;println e;}
 		}
 		println ""
-
+		
 		//TRANSFORM INTO XML-TEI-TXM
 		List<File> tokenfiles = new File(binDir, "stokenized").listFiles()
 		println("Building xml-txm ("+tokenfiles.size()+" files)")
@@ -156,7 +158,7 @@
 			print "."
 			File file = f;
 			String txmfile = f.getName();
-
+			
 			def correspType = new HashMap<String,String>()
 			def correspRef = new HashMap<String,String>()
 			//il faut lister les id de tous les respStmt
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZPager.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZPager.groovy	(revision 3021)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZPager.groovy	(revision 3022)
@@ -164,10 +164,14 @@
 		if (cssDirectory.exists()) {
 			FileCopy.copyFiles(cssDirectory, csshtmlDirectory)
 		}
+		
+		BundleUtils.copyFiles("org.txm.core", "res", "org/txm", "js", outputDirectory);
 		if (jsDirectory.exists()) {
 			File jshtmlDirectory = new File(outputDirectory, "js")
 			FileCopy.copyFiles(jsDirectory, jshtmlDirectory)
 		}
+		
+		
 		if (imagesDirectory.exists()) {
 			File imageshtmlDirectory = new File(outputDirectory, "images")
 			FileCopy.copyFiles(imagesDirectory, imageshtmlDirectory)
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZDefaultPagerStep.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZDefaultPagerStep.groovy	(revision 3021)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZDefaultPagerStep.groovy	(revision 3022)
@@ -38,6 +38,8 @@
 	/** The first word. */
 	boolean firstWord = true;
 	
+	boolean enableCollapsibles = false;
+	
 	/** The wordvalue. */
 	String wordvalue = "";
 	
@@ -120,6 +122,7 @@
 		this.infile = infile;
 		this.wordTag= pager.wordTag;
 		outdir.mkdirs()
+		this.enableCollapsibles = pager.getImportModule().getProject().getEditionDefinition("default").getEnableCollapsibleMetadata();
 		
 		inputData = new BufferedInputStream(url.openStream());
 		factory = XMLInputFactory.newInstance();
@@ -225,6 +228,8 @@
 			pagedWriter.writeStartElement("title")
 			pagedWriter.writeCharacters(basename.toUpperCase()+" Edition - Page "+pagecount)
 			pagedWriter.writeEndElement(); // </title>
+			pagedWriter.writeStartElement("script", ["src":"js/collapsible.js"]);
+			pagedWriter.writeEndElement(); // </script>
 			pagedWriter.writeEndElement() // </head>
 			pagedWriter.writeCharacters("\n")
 			pagedWriter.writeStartElement("body") //<body>
@@ -345,7 +350,14 @@
 									pagedWriter.writeElement("h3", attributes["id"])
 								}
 							
-								pagedWriter.writeStartElement("table")
+								if (enableCollapsibles && attributes.keySet().size() > 2) {
+									pagedWriter.writeStartElement("button", ["class":"collapsible", "onclick":"onCollapsibleClicked(this)"])
+									pagedWriter.writeCharacters("➕");
+									pagedWriter.writeEndElement()
+								}
+								
+								pagedWriter.writeStartElement("table");
+								if (enableCollapsibles && attributes.keySet().size() > 2) pagedWriter.writeAttribute("class", "collapsiblecontent")
 								for (String k : attributes.keySet()) {
 									if (k == "id") continue;
 									if (k == "rend") continue;
Index: tmp/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java	(revision 3021)
+++ tmp/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java	(revision 3022)
@@ -69,6 +69,8 @@
 	
 	public static final String EDITION_DEFINITION_WORDS_PER_PAGE = "edition_definition_words_per_page"; //$NON-NLS-1$
 	
+	public static final String EDITION_DEFINITION_ENABLE_COLLAPSIBLE_METADATA = "edition_definition_enable_collapsible"; //$NON-NLS-1$
+	
 	public static final String EDITION_DEFINITION_PAGE_BREAK_ELEMENT = "edition_definition_page_break_element"; //$NON-NLS-1$
 	
 	public static final String EDITION_DEFINITION_IMAGES_DIRECTORY = "edition_definition_images_directory"; //$NON-NLS-1$
@@ -78,9 +80,11 @@
 	 */
 	public static final String SHOW_ALL_RESULT_NODES = "show_all_result_nodes"; //$NON-NLS-1$
 	
+	/*
+	 * Base URL of TXM update site
+	 */
 	public static final String UPDATESITE = "update_site"; //$NON-NLS-1$
 	
-	
 	/**
 	 * To enable/disable the results persistence (save after a computing and load at Toolbox start).
 	 */
Index: tmp/org.txm.core/src/java/org/txm/objects/EditionDefinition.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/EditionDefinition.java	(revision 3021)
+++ tmp/org.txm.core/src/java/org/txm/objects/EditionDefinition.java	(revision 3022)
@@ -38,6 +38,10 @@
 		return node.getInt(TBXPreferences.EDITION_DEFINITION_WORDS_PER_PAGE, 500);
 	}
 	
+	public boolean getEnableCollapsibleMetadata() {
+		return node.getBoolean(TBXPreferences.EDITION_DEFINITION_ENABLE_COLLAPSIBLE_METADATA, false);
+	}
+	
 	public String getPageElement() {
 		return node.get(TBXPreferences.EDITION_DEFINITION_PAGE_BREAK_ELEMENT, "pb");
 	}
@@ -78,6 +82,10 @@
 		}
 	}
 	
+	public void setEnableCollapsible(boolean enable) {
+		node.putBoolean(TBXPreferences.EDITION_DEFINITION_ENABLE_COLLAPSIBLE_METADATA, enable);
+	}
+	
 	public void setWordsPerPage(int words_per_page) {
 		node.putInt(TBXPreferences.EDITION_DEFINITION_WORDS_PER_PAGE, words_per_page);
 	}
@@ -118,8 +126,8 @@
 		}
 		return buffer.toString();
 	}
-
+	
 	public void setPaginateEdition(boolean paginate) {
-		node.putBoolean(TBXPreferences.EDITION_DEFINITION_PAGINATE, paginate);		
+		node.putBoolean(TBXPreferences.EDITION_DEFINITION_PAGINATE, paginate);
 	}
 }
Index: tmp/org.txm.core/res/org/txm/js/collapsible.js
===================================================================
--- tmp/org.txm.core/res/org/txm/js/collapsible.js	(revision 0)
+++ tmp/org.txm.core/res/org/txm/js/collapsible.js	(revision 3022)
@@ -0,0 +1,15 @@
+// add a click listeners to all 'collapsible' class objects when the page is loaded
+
+
+function onCollapsibleClicked(node) {
+
+    node.classList.toggle("active");
+    var content = node.nextElementSibling;
+    if (content.style.display === "block") {
+      content.style.display = "none";
+	node.textContent="➕"
+    } else {
+      content.style.display = "block";
+node.textContent="➖"
+    }
+}
\ No newline at end of file

